package io.tswf.transmutations.common.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface MethodDescription {
    String name();
    String descriptor() default "";
    ClassReference returnType() default @ClassReference();
    Class returnTypeClass() default Void.class;
    ClassReference[] parameterTypes() default {};
    Class[] parameterTypeClasses() default {};
}
